/* test od rounding in fixed point */

#include <stdio.h>
int main(){
	int n;
	// n is number in q3
	printf (" n ,  double(n/8),   n>>3,   (n+(1<<2))>>3 \n");
	for (n=-8; n<8; n++){
		printf ("%2d,    %1.2f,  %2d,  %2d\n", n ,  double(n)/8,    n>>3,   (n+(1<<2))>>3);
	}
	return 0;
}